# IsShieldedTrc20ContractNoteSpent

Checks whether a specific shielded TRC20 contract note has been spent or not.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `ak` - String - <mark style="color:red;">Required</mark> - A string representing the address key (ak)
* `nk` - String - <mark style="color:red;">Required</mark> - A string representing the note key (nk)
* `position` - String - <mark style="color:red;">Required</mark> - The position of the shielded TRC20 contract note
* `shielded_TRC20_contract_address` - String - <mark style="color:red;">Required</mark> - The address of the shielded TRC20 contract

## **Returns**

`is_spent` - indicates whether the specified shielded TRC20 contract note has been spent or not

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/isshieldedtrc20contractnotespent \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
      "ak": "ADDRESS_KEY",
      "nk": "NOTE_KEY",
      "position": "POSITION",
      "shielded_TRC20_contract_address": "CONTRACT_ADDRESS"
}
''
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-solidity-api/tronz-shielded-smart-contract/isshieldedtrc20contractnotespent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
